# Ogre::FrameTimeControllerValue Class Reference

Predefined controller value for getting the latest frame time. More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::FrameTimeControllerValue:

List of all members.

## Public Member Functions

| FrameTimeControllerValue ()
bool | frameEnded (const FrameEvent &evt)
| Called just after a frame has been rendered.
bool | frameStarted (const FrameEvent &evt)
| Called when a frame is about to begin rendering.
Real | getValue (void) const
void | setValue (Real value)
Real | getTimeFactor (void) const
void | setTimeFactor (Real tf)
Real | getElapsedTime (void) const
void | setElapsedTime (Real elapsedTime)

## Protected Attributes

Real | mFrameTime
Real | mTimeFactor
Real | mElapsedTime

## Detailed Description

Predefined controller value for getting the latest frame time.

Definition at line 42 of file OgrePredefinedControllers.h.

## Constructor & Destructor Documentation

Ogre::FrameTimeControllerValue::FrameTimeControllerValue | ( |  | ) |

## Member Function Documentation

bool Ogre::FrameTimeControllerValue::frameEnded | ( | const FrameEvent & | evt | ) | `[virtual]`

Called just after a frame has been rendered.

Returns:
  True to continue with the next frame, false to drop out of the rendering loop.

Reimplemented from Ogre::FrameListener.

bool Ogre::FrameTimeControllerValue::frameStarted | ( | const FrameEvent & | evt | ) | `[virtual]`

Called when a frame is about to begin rendering.

Returns:
  True to go ahead, false to abort rendering and drop out of the rendering loop.

Reimplemented from Ogre::FrameListener.

Real Ogre::FrameTimeControllerValue::getElapsedTime | ( | void |  | ) | const

Real Ogre::FrameTimeControllerValue::getTimeFactor | ( | void |  | ) | const

Real Ogre::FrameTimeControllerValue::getValue | ( | void |  | ) | const`[virtual]`

| Implements Ogre::ControllerValue< Real >.

void Ogre::FrameTimeControllerValue::setElapsedTime | ( | Real | elapsedTime | ) |

void Ogre::FrameTimeControllerValue::setTimeFactor | ( | Real | tf | ) |

void Ogre::FrameTimeControllerValue::setValue | ( | Real | value | ) | `[virtual]`

| Implements Ogre::ControllerValue< Real >.

## Member Data Documentation

Real Ogre::FrameTimeControllerValue::mElapsedTime `[protected]`

| Definition at line 47 of file OgrePredefinedControllers.h.

Real Ogre::FrameTimeControllerValue::mFrameTime `[protected]`

| Definition at line 45 of file OgrePredefinedControllers.h.

Real Ogre::FrameTimeControllerValue::mTimeFactor `[protected]`

| Definition at line 46 of file OgrePredefinedControllers.h.

The documentation for this class was generated from the following file:

- OgrePredefinedControllers.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:02:10 2006